# PSF-LoginServer - master - net.psforever.util.PointOfInterest
PSF - LoginServer - master - net.psforever.util.PointOfInterest
Keywords: PSF LoginServer master net.psforever.util.PointOfInterest

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package util
  Definition Classes
    psforever
- AdminConfig
- AntiCheatConfig
- AppConfig
- Config
- Database
- DatabaseConfig
- DefinitionUtil
- DevelopmentConfig
- DiffieHellman
- GameConfig
- HartConfig
- KamonConfig
- LoginConfig
- Md5Mac
- MiddlewareConfig
- NetSimConfig
- NetworkConfig
- NewAvatar
- PointOfInterest
- SentryConfig
- SessionConfig
- WorldConfig

c

net.psforever.util

# PointOfInterest 

###
Companion object PointOfInterest

#### class PointOfInterest extends AnyRef

A crude representation of the information needed to describe a continent (hitherto, a "zone"). The information is mainly catered to the simulation of the CSR commands `/zone` and `/warp`. (The exception is `alias` which is maintained for cosmetic purposes and clarification.)

Source
  PointOfInterest.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. PointOfInterest
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new PointOfInterest(alias: String, map: String, zonename: String)

   alias

     the common name of the zone

   map

     the map name of the zone (this map is loaded)

   zonename

     the zone's internal name

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val alias: String
5.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def equals(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef → Any
9.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
10.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
11.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
12.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
13.  val map: String
14.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
16.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
18.  def toString(): String
    Definition Classes
      AnyRef → Any
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
22.  val zonename: String

### Inherited from AnyRef

### Inherited from Any

### Ungrouped